package com.brilliance.isc.vo.manager;

import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GtxManageVo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private String tbl;
    private String inr;
    private String trntyp;
    private String gartyp;
    private String extkey;
    private String nam;
    private String purpos;
    private String fromflg;
    private String uil;
    private String gidtxt;

    private String opnflg;

    private String objextkey;

    private String usrextkey;

    private String extflg;

    private String ptynam;


    public String getUil() {
        return uil;
    }

    public void setUil(String uil) {
        this.uil = uil;
    }
    public String getTbl() {
        return tbl;
    }

    public void setTbl(String tbl) {
        this.tbl = tbl;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getInr() {
        return inr;
    }

    public void setInr(String inr) {
        this.inr = inr;
    }

    public String getTrntyp() {
        return trntyp;
    }

    public void setTrntyp(String trntyp) {
        this.trntyp = trntyp;
    }

    public String getGartyp() {
        return gartyp;
    }

    public void setGartyp(String gartyp) {
        this.gartyp = gartyp;
    }

    public String getExtkey() {
        return extkey;
    }

    public void setExtkey(String extkey) {
        this.extkey = extkey;
    }

    public String getNam() {
        return nam;
    }

    public void setNam(String nam) {
        this.nam = nam;
    }

    public String getPurpos() {
        return purpos;
    }

    public void setPurpos(String purpos) {
        this.purpos = purpos;
    }

    public String getFromflg() {
        return fromflg;
    }

    public void setFromflg(String fromflg) {
        this.fromflg = fromflg;
    }

    public String getGidtxt() {
        return gidtxt;
    }

    public void setGidtxt(String gidtxt) {
        this.gidtxt = gidtxt;
    }
}
